# CustomAdditionalData

@Incubating
interface CustomAdditionalData : AdditionalData

Custom Additional data for a problem.

This class allows to access additional data via a custom type that was attached to a problem by using additionalData.

#### Since

8.13

## Functions

get
Link copied to clipboard
abstract fun <T> get(viewType: Class<T>): T
Returns an instance of the given type that accesses the additional data.
get
Link copied to clipboard
@Incubating
inline fun <T : Any> CustomAdditionalData.get(viewType: KClass<T>): T

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.tooling.events.problems.CustomAdditionalData.get.

getAsMap
Link copied to clipboard
abstract fun getAsMap(): Map<String, Any>